Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
BedrockMission!

Learn More

View all

Sign in to view all badges

Problem with signature component.

Avatar

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile
diogomiranda
Level 3

04-06-2019

Hello,

app server:

1765672_pastedImage_3.png

cluster, topology

2 application servers, 1 cluster

1765673_pastedImage_2.png


db:

DB2 V11.1

OS:

AIX 7200-02-01-1731

When invoking the SignatureService I get the following error:

Error Calling SignatureService

com.adobe.livecycle.signatures.service.impl.DSSConfigurationHelper (initialization failure)

java.lang.SecurityException: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed

JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed

Jun 04, 2019 4:04:50 PM com.adobe.livecycle.signatures.client.types.exceptions.SignaturesBaseException

SEVERE: ALC-DSS-300-000 Generic SignaturesBaseException   (in the operation : certify)

Caused By: java.lang.SecurityException: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed(AbstractResponseHolder.java178)

Caused By: com.adobe.livecycle.signatures.service.impl.DSSConfigurationHelper (initialization failure)(J9VMInternals.java96)

Caused By: java.lang.SecurityException: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed(SignaturesInitializer.java69)

Caused By: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed(null-1)

ALC-DSS-300-000 Generic SignaturesBaseException   (in the operation : certify)

Caused By: java.lang.SecurityException: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed(AbstractResponseHolder.java178)

Caused By: com.adobe.livecycle.signatures.service.impl.DSSConfigurationHelper (initialization failure)(J9VMInternals.java96)

Caused By: java.lang.SecurityException: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed(SignaturesInitializer.java69)

Caused By: JsafeJCE provider is disabled, a FIPS 140 required self-integrity check failed(null-1)

com.adobe.livecycle.signatures.client.SignatureServiceClient.certify(SignatureServiceClient.java:287)

pt.gbes.teste.SignaturePOC.CertifyDocumentSOAP.main(CertifyDocumentSOAP.java:117)

Caused By: com.adobe.idp.dsc.DSCException

com.adobe.idp.dsc.provider.impl.base.AbstractResponseHolder.handleException(AbstractResponseHolder.java:178)

com.adobe.idp.dsc.provider.impl.soap.axis.sdk.SoapSdkBindingStubUtil.deSerializeResponse(SoapSdkBindingStubUtil.java:132)

com.adobe.idp.dsc.provider.impl.soap.axis.sdk.SoapAxisDispatcher.doSend(SoapAxisDispatcher.java:148)

com.adobe.idp.dsc.provider.impl.base.AbstractMessageDispatcher.send(AbstractMessageDispatcher.java:69)

com.adobe.idp.dsc.clientsdk.ServiceClient.invoke(ServiceClient.java:215)

com.adobe.livecycle.signatures.client.SignatureServiceClient.certify(SignatureServiceClient.java:264)

pt.gbes.teste.SignaturePOC.CertifyDocumentSOAP.main(CertifyDocumentSOAP.java:117)

Does anyone know what this mean?

Thanks

Accepted Solutions (1)

Accepted Solutions (1)

Avatar

Avatar
Springboard
Level 10
Mayank_Gandhi
Level 10

Likes

310 likes

Total Posts

1,139 posts

Correct Reply

184 solutions
Top badges earned
Springboard
Establish
Validate 1
Contributor 2
Ignite 5
View profile

Avatar
Springboard
Level 10
Mayank_Gandhi
Level 10

Likes

310 likes

Total Posts

1,139 posts

Correct Reply

184 solutions
Top badges earned
Springboard
Establish
Validate 1
Contributor 2
Ignite 5
View profile
Mayank_Gandhi
Level 10

04-06-2019

That is one way to check, or you can downgrade the JDK to 1.8.121 or below and test.

Answers (6)

Answers (6)

Avatar

Avatar
Springboard
Level 10
Mayank_Gandhi
Level 10

Likes

310 likes

Total Posts

1,139 posts

Correct Reply

184 solutions
Top badges earned
Springboard
Establish
Validate 1
Contributor 2
Ignite 5
View profile

Avatar
Springboard
Level 10
Mayank_Gandhi
Level 10

Likes

310 likes

Total Posts

1,139 posts

Correct Reply

184 solutions
Top badges earned
Springboard
Establish
Validate 1
Contributor 2
Ignite 5
View profile
Mayank_Gandhi
Level 10

05-06-2019

Good to know that it is resolved now!

Avatar

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile
diogomiranda
Level 3

05-06-2019

Editing this file:

/usr/IBM/WebSphere/AppServer/java/8.0/jre/lib/security/java.security

As described in the link above solved it.

Avatar

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile
diogomiranda
Level 3

04-06-2019

Apparently this can be solved by adding MD5 on java:

That's why you asked the jdk version?

Re: JsafeJCE provider is disabled

Avatar

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile

Avatar
Validate 1
Level 3
diogomiranda
Level 3

Likes

13 likes

Total Posts

56 posts

Correct Reply

2 solutions
Top badges earned
Validate 1
Boost 5
Boost 3
Boost 10
Boost 1
View profile
diogomiranda
Level 3

04-06-2019

Java version = 1.8.0_151, Java Runtime Version = 8.0.5.7 - pap6480sr5fp7-20171216_01(SR5 FP7), Java Compiler = j9jit29, Java VM name = IBM J9 VM

It's running on Websphere 9.

It's the JEE version

Avatar

Avatar
Ignite 5
Employee
workflowuser
Employee

Likes

135 likes

Total Posts

444 posts

Correct Reply

70 solutions
Top badges earned
Ignite 5
Ignite 3
Ignite 1
Give Back 50
Give Back 5
View profile

Avatar
Ignite 5
Employee
workflowuser
Employee

Likes

135 likes

Total Posts

444 posts

Correct Reply

70 solutions
Top badges earned
Ignite 5
Ignite 3
Ignite 1
Give Back 50
Give Back 5
View profile
workflowuser
Employee

04-06-2019

Is your signature bundle active

is this in aem forms OSGI?

Avatar

Avatar
Springboard
Level 10
Mayank_Gandhi
Level 10

Likes

310 likes

Total Posts

1,139 posts

Correct Reply

184 solutions
Top badges earned
Springboard
Establish
Validate 1
Contributor 2
Ignite 5
View profile

Avatar
Springboard
Level 10
Mayank_Gandhi
Level 10

Likes

310 likes

Total Posts

1,139 posts

Correct Reply

184 solutions
Top badges earned
Springboard
Establish
Validate 1
Contributor 2
Ignite 5
View profile
Mayank_Gandhi
Level 10

04-06-2019

Hi Diogo,

what's the JDK version?